summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gocd-server/README1
-rw-r--r--gocd-server/gocd-server.SlackBuild83
-rw-r--r--gocd-server/gocd-server.info10
-rw-r--r--gocd-server/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/gocd-server/README b/gocd-server/README
new file mode 100644
index 0000000..8e3c8f6
--- /dev/null
+++ b/gocd-server/README
@@ -0,0 +1 @@
+An open-source Continuous Integration and Continuous Delivery system.
diff --git a/gocd-server/gocd-server.SlackBuild b/gocd-server/gocd-server.SlackBuild
new file mode 100644
index 0000000..5ec8049
--- /dev/null
+++ b/gocd-server/gocd-server.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+# Slackware build script gocd-server
+
+# Copyright 2026 Eugene Wissner, Mannheim, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gocd-server
+VERSION=${VERSION:-25.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+GOCD_USER=${GOCD_USER:-apache}
+GOCD_GROUP=${GOCD_GROUP:-apache}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf gocd-$VERSION
+tar xvf $CWD/$VERSION.tar.gz
+cd gocd-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./gradlew serverGenericZip
+unzip ./installers/target/distributions/zip/go-server-${VERSION}.zip
+
+chown -R $GOCD_USER:$GOCD_GROUP go-server-${VERSION}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv go-server-${VERSION}/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/$DOCROOT
+mv go-server-${VERSION} $PKG$DOCROOT/gocd
+
+cp -a \
+ CONTRIBUTING.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/gocd-server/gocd-server.info b/gocd-server/gocd-server.info
new file mode 100644
index 0000000..695be25
--- /dev/null
+++ b/gocd-server/gocd-server.info
@@ -0,0 +1,10 @@
+PRGNAM="gocd-server"
+VERSION="25.4.0"
+HOMEPAGE="https://www.gocd.org/"
+DOWNLOAD="https://github.com/gocd/gocd/archive/refs/tags/25.4.0.tar.gz"
+MD5SUM="76104724707c23cd2801a2f12e3496c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="zulu-openjdk25 yarn"
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/gocd-server/slack-desc b/gocd-server/slack-desc
new file mode 100644
index 0000000..a5aca2c
--- /dev/null
+++ b/gocd-server/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gocd-server: gocd-server (free & open source ci/cd server)
+gocd-server:
+gocd-server: An open-source Continuous Integration and Continuous Delivery system.
+gocd-server:
+gocd-server: Homepage: https://www.gocd.org/
+gocd-server:
+gocd-server:
+gocd-server:
+gocd-server:
+gocd-server:
+gocd-server: